# ParserConfig

class xsdata.formats.dataclass.parsers.config.ParserConfig(base_url=None, load_dtd=False, process_xinclude=False, class_factory=<function default_class_factory>, fail_on_unknown_properties=True, fail_on_unknown_attributes=False, fail_on_converter_warnings=False)

  Parsing configuration options.

  Parameters:

    - base_url (`Optional`[`str`]) – Specify a base URL when parsing from memory, and you need support for relative links e.g. xinclude

    - load_dtd (`bool`) – Enable loading external dtd (lxml only)

    - process_xinclude (`bool`) – Enable xinclude statements processing

    - class_factory (`Callable`[[`Type`[`TypeVar`(`T`)], `Dict`], `TypeVar`(`T`)]) – Override default object instantiation

    - fail_on_unknown_properties (`bool`) – Skip unknown properties or fail with exception

    - fail_on_unknown_attributes (`bool`) – Skip unknown XML attributes or fail with exception

    - fail_on_converter_warnings (`bool`) – Turn converter warnings to exceptions